/* Options: Date: 2026-06-20 22:17:11 Version: 8.80 Tip: To override a DTO option, remove "//" prefix before updating BaseUrl: https://api.simplified.id/v2 //Package: //AddServiceStackTypes: True //AddResponseStatus: False //AddImplicitVersion: //AddDescriptionAsComments: True IncludeTypes: GetEulaStatus.* //ExcludeTypes: //InitializeCollections: False //TreatTypesAsStrings: //DefaultImports: java.math.*,java.util.*,java.io.InputStream,net.servicestack.client.*,com.google.gson.annotations.*,com.google.gson.reflect.* */ import java.math.* import java.util.* import java.io.InputStream import net.servicestack.client.* import com.google.gson.annotations.* import com.google.gson.reflect.* @Route(Path="/account/eula", Verbs="GET") @DataContract open class GetEulaStatus : BaseRequest(), IReturn { /** * If this is specified, the information will be for the specified sub user, otherwise it will be for the main user account */ @DataMember @ApiMember(Description="If this is specified, the information will be for the specified sub user, otherwise it will be for the main user account") open var subUserName:String? = null companion object { private val responseType = GetEulaStatusResponse::class.java } override fun getResponseType(): Any? = GetEulaStatus.responseType } @DataContract open class GetEulaStatusResponse { @DataMember @SerializedName("data") open var Data:GetEulaStatusData? = null } @DataContract open class Authentication { /** * The API User ID provided by us when you signed up to use our API. Can be provided in the request body, or as a header parameter (X-Api-User) */ @DataMember @ApiMember(Description="The API User ID provided by us when you signed up to use our API. Can be provided in the request body, or as a header parameter (X-Api-User)", IsRequired=true, ParameterType="header, body") open var apiUserId:String? = null /** * The API User Key provided by us when you signed up to use our API. Can be provided in the request body, or as a header parameter (X-Api-Key) */ @DataMember @ApiMember(Description="The API User Key provided by us when you signed up to use our API. Can be provided in the request body, or as a header parameter (X-Api-Key)", IsRequired=true, ParameterType="header, body") open var apiUserKey:String? = null /** * The User ID of the user making the request (e.g. a sub user). This is optional but can be used to associate API requests with a specific user, thereby allowing user permissions to be enforced. Can be provided in the body, or as a header parameter (X-User-Id). */ @DataMember @ApiMember(Description="The User ID of the user making the request (e.g. a sub user). This is optional but can be used to associate API requests with a specific user, thereby allowing user permissions to be enforced. Can be provided in the body, or as a header parameter (X-User-Id).", ParameterType="header, body") open var userId:String? = null } @DataContract open class BaseRequest : IBaseRequest { /** * The authentication credentials */ @DataMember @ApiMember(Description="The authentication credentials", IsRequired=true, ParameterType="header, body") override var authentication:Authentication? = null } interface IBaseRequest { var authentication:Authentication? } open class GetEulaStatusData : BaseResponse() { open var termsAndConditions:String? = null open var privacyPolicy:String? = null open var agreeToContact:Boolean? = null open var agreeToContactInfo:String? = null open var agreeToContactDate:Date? = null open var agreeToTerms:Boolean? = null open var agreeToTermsInfo:String? = null open var agreeToTermsDate:Date? = null open var agreeToDataProtection:Boolean? = null open var agreeToDataProtectionInfo:String? = null open var agreeToDataProtectionDate:Date? = null } open class BaseResponse : IBaseDataResponse, IHasResponseStatus { /** * The status of the response */ @ApiMember(Description="The status of the response") override var responseStatus:ResponseStatus? = null } interface IBaseDataResponse { var responseStatus:ResponseStatus? } interface IHasResponseStatus { var responseStatus:ResponseStatus? } open class ArrayOfResponseError : ArrayList() { }